//---------------------------------------------------------------------------
#ifndef PgpKeyGenDlgsH
#define PgpKeyGenDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall GenerateRSAKeyPair(TForm *Owner);

class TPgpKeyGenDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TButton *BackBtn;
  TButton *NextBtn;
  TButton *CancelBtn;
  TNotebook *Notebook;
  TLabel *Label2;
  TRichEdit *RichEdit1;
  TRadioButton *But768;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TRadioButton *But1024;
  TRadioButton *But1536;
  TRadioButton *But2048;
  TRadioButton *ButCustom;
  TEdit *CustomBits;
  TUpDown *UpDown;
  TLabel *Label1;
  TLabel *Label7;
  TRichEdit *RichEdit2;
  TLabel *Label8;
  TMemo *Confirmation;
  TLabel *Label9;
  TLabel *Label10;
  TProgressBar *ProgressBar1;
  TCheckBox *HideBox;
  TLabel *Label11;
  TLabel *Label12;
  TMemo *Memo3;
  TLabel *Label13;
  TLabel *Label14;
  TEdit *NameAddress;
  TMemo *Passphrase;
  TCheckBox *CheckBox1;
  TLabel *Label6;
  void __fastcall NextBtnClick(TObject *Sender);
  void __fastcall BackBtnClick(TObject *Sender);
  void __fastcall NotebookPageChanged(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall NameAddressChange(TObject *Sender);
  void __fastcall BitsButClick(TObject *Sender);
  void __fastcall HideBoxClick(TObject *Sender);

  void __fastcall PassphraseChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TPgpKeyGenDlg(TComponent* Owner);
  void __fastcall SetPassphraseHidden(bool hide);
};

UINT PGPcomdlgPassphraseQualityXX(LPSTR szPhrase);
//---------------------------------------------------------------------------
extern TPgpKeyGenDlg *PgpKeyGenDlg;
//---------------------------------------------------------------------------
#endif
